;
;   afxeval.ahk: Helper script for inline evaluation of afxscript
;
;       Copyright (c) Yak! 2007 All rights reserved.
;
;   $URL: https://yak.myhome.cx/repos/source/afxscrpt/trunk/afxeval.ahk.in $
;   $Date: 2007-06-06 19:52:20 +0900 (Wed, 06 Jun 2007) $
;   $Rev: 374 $
;

SetWorkingDir, %A_ScriptDir%
Argc=%0%
If Argc <> 0
{
    Argv1=%1%
    If (Argc = 1 && FileExist(Argv1)) {
        FileRead, command, %Argv1%
    } else {
        Loop, %Argc%
        {
            param:=%A_Index%
            command=%command%`r`n%param%
        }
    }
    FileDelete, afxeval.ahk
    FileCopy, afxeval.ahk.in, afxeval.ahk
    command:="SetWorkingDir, " A_WorkingDir "`r`n"
           . "#Include " A_WorkingDir "`r`n"
           . "#Include afxscript.ahk`r`n"
           .  command
    command:=RegExReplace(command
                 , "m)^[ \t]*(&[^ \t\r\n]*)(.*?)$"
                 , "AfxSendCommand(""$1 ""$2)")
    command:=RegExReplace(command
                 , "m)(=\s*?)(\$.*?)$"
                 , "$1AfxGetVariable(""$2"")")
    FileAppend, %command%, afxeval.ahk
    FileAppend, `r`n, afxeval.ahk
    Reload
    Sleep, 1000
    MsgBox, Seems to failure in reloading the script`r`nThe script will be initialized.`r`n`r`nPLEASE CLOSE ANOTHER MESSAGE BOX DUE TO THE ERROR BEFORE CLOSING THIS MESSAGE BOX.`r`n`r`nThe failure scripts were as follows:`r`n`r`n%command%
    Loop {
        FileDelete, afxeval.ahk
        If ErrorLevel = 0
            break
        Sleep, 1000
    }
    FileCopy, afxeval.ahk.in, afxeval.ahk
    Exit
}
