;
;   afxscript.ahk: Helper library for AutoHotkey to control Afx
;
;       Copyright (c) Yak! 2007-2008 All rights reserved.
;

#Include afxctrl.ahk

AfxSendCommand(hwnd, command = 0)
{
    AfxFixArg2(hwnd, command)
    _LoadInjEnvDLL()
    DllCall("injenv.dll\InstallInjectEnvHook")
    DllCall("injenv.dll\InjectEnvironmentVariable", "UInt", hwnd, "Str", "AFXSCRIPTVAR", "Str", command)
    AfxSendKey(hwnd, "0136")
    DllCall("injenv.dll\UninstallInjectEnvHook")
    _UnloadInjEnvDLL()
}
AfxFilenameOn(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0137")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxBasenameOn(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0138")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxExtentionOn(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0139")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxPathCWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0140")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxPathOWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0141")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxPathLWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0142")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxPathRWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0143")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxShortFilenameOn(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0151")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxShortBasenameOn(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0152")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxShortPathCWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0153")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxShortPathOWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0154")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxShortPathLWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0155")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxShortPathRWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0156")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxSortStatusCWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0157")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxSortStatusOWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0158")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxSortStatusLWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0159")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxSortStatusRWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0216")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxFilenameMarked(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0217")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxFilenameMarkedCWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0217")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxFullpathMarked(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0218")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxFullpathMarkedCWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0218")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxFullpathMarkedOWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0232")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxShortFilenameMarked(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0124")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxShortFilenameMarkedCWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0124")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxShortFullpathMarked(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0125")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxShortFullpathMarkedCWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0125")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxShortFullpathMarkedOWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0126")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxMaskCWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0127")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxMaskOWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0128")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxMaskLWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0129")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxMaskRWin(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0130")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxExecPath(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0131")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxVar0(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0132")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxVar1(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0133")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxVar2(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0134")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxVar3(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "0135")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxVar4(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "1136")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxVar5(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "1137")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxVar6(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "1138")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxVar7(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "1139")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxVar8(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "1140")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxVar9(hwnd = 0)
{
    ClipSaved := ClipboardAll
    AfxSendKey(hwnd, "1141")
    Result := Clipboard
    Clipboard := ClipSaved
    ClipSaved =
    StringTrimLeft, Result, Result, 1
    return Result
}
AfxGetVariable(hwnd, var = 0)
{
    AfxFixArg2(hwnd, var)
    If (var == "$F")
        return AfxFilenameOn(hwnd)
    If (var == "$W")
        return AfxBasenameOn(hwnd)
    If (var == "$E")
        return AfxExtentionOn(hwnd)
    If (var == "$P")
        return AfxPathCWin(hwnd)
    If (var == "$O")
        return AfxPathOWin(hwnd)
    If (var == "$L")
        return AfxPathLWin(hwnd)
    If (var == "$R")
        return AfxPathRWin(hwnd)
    If (var == "$f")
        return AfxShortFilenameOn(hwnd)
    If (var == "$w")
        return AfxShortBasenameOn(hwnd)
    If (var == "$p")
        return AfxShortPathCWin(hwnd)
    If (var == "$o")
        return AfxShortPathOWin(hwnd)
    If (var == "$l")
        return AfxShortPathLWin(hwnd)
    If (var == "$r")
        return AfxShortPathRWin(hwnd)
    If (var == "$SP")
        return AfxSortStatusCWin(hwnd)
    If (var == "$SO")
        return AfxSortStatusOWin(hwnd)
    If (var == "$SL")
        return AfxSortStatusLWin(hwnd)
    If (var == "$SR")
        return AfxSortStatusRWin(hwnd)
    If (var == "$QN$JT$MS")
        return AfxFilenameMarked(hwnd)
    If (var == "$QN$JT$MF")
        return AfxFullpathMarked(hwnd)
    If (var == "$QN$JT$mO")
        return AfxFullpathMarkedOWin(hwnd)
    If (var == "$QN$JT$Ms")
        return AfxShortFilenameMarked(hwnd)
    If (var == "$QN$JT$Mf")
        return AfxShortFullpathMarked(hwnd)
    If (var == "$QN$JT$mo")
        return AfxShortFullpathMarkedOWin(hwnd)
    If (var == "$*P")
        return AfxMaskCWin(hwnd)
    If (var == "$*O")
        return AfxMaskOWin(hwnd)
    If (var == "$*L")
        return AfxMaskLWin(hwnd)
    If (var == "$*R")
        return AfxMaskRWin(hwnd)
    If (var == "$V""afx""")
        return AfxExecPath(hwnd)
    If (var == "$0")
        return AfxVar0(hwnd)
    If (var == "$1")
        return AfxVar1(hwnd)
    If (var == "$2")
        return AfxVar2(hwnd)
    If (var == "$3")
        return AfxVar3(hwnd)
    If (var == "$4")
        return AfxVar4(hwnd)
    If (var == "$5")
        return AfxVar5(hwnd)
    If (var == "$6")
        return AfxVar6(hwnd)
    If (var == "$7")
        return AfxVar7(hwnd)
    If (var == "$8")
        return AfxVar8(hwnd)
    If (var == "$9")
        return AfxVar9(hwnd)
    MsgBox, Unsupported variable %var% is used.
}
AfxNop(hwnd = 0)
{
    AfxSendCommand(hwnd, "&NOP")
}
AfxReload(hwnd = 0)
{
    AfxSendCommand(hwnd, "&RELOAD")
}
AfxExec(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&EXEC" " " arg)
}
AfxOpen(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&OPEN" " " arg)
}
AfxWavPlay(hwnd = 0)
{
    AfxSendCommand(hwnd, "&WAVPLAY")
}
AfxWavStop(hwnd = 0)
{
    AfxSendCommand(hwnd, "&WAVSTOP")
}
AfxContext(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&CONTEXT" " " arg)
}
AfxExtract(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&EXTRACT" " " arg)
}
AfxV_Arc(hwnd = 0)
{
    AfxSendCommand(hwnd, "&V_ARC")
}
AfxSusie(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&SUSIE" " " arg)
}
AfxS_Arc(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&S_ARC" " " arg)
}
AfxCd(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&CD" " " arg)
}
AfxExCd(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&EXCD" " " arg)
}
AfxMask(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&MASK" " " arg)
}
AfxMark(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&MARK" " " arg)
}
AfxSort(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&SORT" " " arg)
}
AfxClip(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&CLIP" " " arg)
}
AfxMesClip(hwnd = 0)
{
    AfxSendCommand(hwnd, "&MESCLIP")
}
AfxMax(hwnd = 0)
{
    AfxSendCommand(hwnd, "&MAX")
}
AfxMin(hwnd = 0)
{
    AfxSendCommand(hwnd, "&MIN")
}
AfxPushd(hwnd = 0)
{
    AfxSendCommand(hwnd, "&PUSHD")
}
AfxPopd(hwnd = 0)
{
    AfxSendCommand(hwnd, "&POPD")
}
AfxSet(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&SET" " " arg)
}
AfxCopyTo(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&COPYTO" " " arg)
}
AfxMoveTo(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&MOVETO" " " arg)
}
AfxMeltTo(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&MELTTO" " " arg)
}
AfxCopyHis(hwnd = 0)
{
    AfxSendCommand(hwnd, "&COPYHIS")
}
AfxMoveHis(hwnd = 0)
{
    AfxSendCommand(hwnd, "&MOVEHIS")
}
AfxLDropTo(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&LDROPTO" " " arg)
}
AfxRDropTo(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&RDROPTO" " " arg)
}
AfxWDropTo(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&WDROPTO" " " arg)
}
AfxDivide(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&DIVIDE" " " arg)
}
AfxConnect(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&CONNECT" " " arg)
}
AfxCcTo(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&CCTO" " " arg)
}
AfxCmTo(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&CMTO" " " arg)
}
AfxView(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&VIEW" " " arg)
}
AfxEdit(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&EDIT" " " arg)
}
AfxPrpty(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&PRPTY" " " arg)
}
AfxTow(hwnd = 0)
{
    AfxSendCommand(hwnd, "&TOW")
}
AfxMks_U(hwnd = 0)
{
    AfxSendCommand(hwnd, "&MKS_U")
}
AfxMks_D(hwnd = 0)
{
    AfxSendCommand(hwnd, "&MKS_D")
}
AfxEject(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&EJECT" " " arg)
}
AfxEach(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&EACH" " " arg)
}
AfxEachNw(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&EACHNW" " " arg)
}
AfxRegRen(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&REGREN" " " arg)
}
AfxReld_Rd(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&RELD_RD" " " arg)
}
AfxVspMv(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&VSPMV" " " arg)
}
AfxHspMv(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&HSPMV" " " arg)
}
AfxMenu(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&MENU" " " arg)
}
AfxPMenu(hwnd, arg = 0)
{
    AfxFixArg2(hwnd, arg)
    AfxSendCommand(hwnd, "&PMENU" " " arg)
}
AfxIsLWin(hwnd=0)
{
    AfxFixArg1(hwnd)
    LSortOld:=AfxSortStatusLWin(hwnd)
    RSortOld:=AfxSortStatusRWin(hwnd)
    if (LSortOld = RSortOld) {
        AfxExCd(hwnd, "-SL""N+"" -SR""N-""")
        Sort:=AfxSortStatusCWin(hwnd)
        AfxExCd(hwnd, "-SL""" LSortOld """ -SR""" RSortOld """")
        LSortOld=N+
        RSortOld=N-
    } else {
        Sort:=AfxSortStatusCWin(hwnd)
    }
    if (Sort = LSortOld) {
        return 1
    } else {
        return 0
    }
}
AfxIsRWin(hwnd=0)
{
    AfxFixArg1(hwnd)
    LSortOld:=AfxSortStatusLWin(hwnd)
    RSortOld:=AfxSortStatusRWin(hwnd)
    if (LSortOld = RSortOld) {
        AfxExCd(hwnd, "-SL""N+"" -SR""N-""")
        Sort:=AfxSortStatusCWin(hwnd)
        AfxExCd(hwnd, "-SL""" LSortOld """ -SR""" RSortOld """")
        LSortOld=N+
        RSortOld=N-
    } else {
        Sort:=AfxSortStatusCWin(hwnd)
    }
    if (Sort = RSortOld) {
        return 1
    } else {
        return 0
    }
}
AfxIsMarkedCWin(hwnd=0)
{
    AfxFixArg1(hwnd)
    Mark:=AfxFilenameMarked(hwnd)
    IfInString, Mark, %A_Tab%
    {
        return 1
    }
    OnCursor:=AfxFilenameOn(hwnd)
    If ( Mark <> OnCursor )
    {
        return 1
    }
    AfxTow(hwnd)
    OMark:=AfxFullPathMarkedOWin(hwnd)
    AfxTow(hwnd)
    If OMark
    {
        return 1
    }
    return 0
}
AfxIsMarkedOWin(hwnd=0)
{
    AfxFixArg1(hwnd)
    OMark:=AfxFullPathMarkedOWin(hwnd)
    If OMark
    {
        return 1
    }
    return 0
}
AfxSelectFile(hwnd, arg)
{
    AfxFixArg1(hwnd)
    Dir:=AfxPathCWin(hwnd)
    AfxExCd(hwnd, "-P""" Dir "\" arg """")
}
Eval(command)
{
    temppath=%A_Temp%\%A_TickCount%.ahk
    IfExist, %temppath%
        FileDelete, %temppath%
    FileAppend, %command%, %temppath%
    RunWait, %A_AhkPath% "%temppath%"
    FileDelete, %temppath%
}
AfxEval(command, debug=0)
{
    command:="SetWorkingDir, " A_WorkingDir "`n"
           . "#Include " A_WorkingDir "\afxscript.ahk`n"
           .  command
    command:=RegExReplace(command
                 , "m)^[ \t]*(&[^ \t\r\n]*)(.*?)$"
                 , "AfxSendCommand(""$1 ""$2)")
    command:=RegExReplace(command
                 , "m)(=\s*?)(\$.*?)$"
                 , "$1AfxGetVariable(""$2"")")
    If debug
        MsgBox, %command%
    Eval(command)
}
AfxEvalFile(file, debug=0)
{
    FileRead, contents, %file%
    AfxEval(contents, debug)
}
